git-cliff(1)

NAME
git-cliff - A highly customizable changelog generator ⛰️

SYNOPSIS
git-cliff [-h|--help] [-V|--version] [-v|--verbose]... [-i|--init] [-c|--config] [--config-url] [-w|--workdir] [-r|--repository] [--include-path] [--exclude-path] [--tag-pattern] [--with-commit] [--with-tag-message] [--ignore-tags] [--count-tags] [--skip-commit] [-p|--prepend] [-o|--output] [-t|--tag] [--bump] [--bumped-version] [-b|--body] [-l|--latest] [--current] [-u|--unreleased] [--topo-order] [--use-branch-tags] [--no-exec] [-x|--context] [--from-context] [-s|--strip] [--sort] [--github-token] [--github-repo] [--gitlab-token] [--gitlab-repo] [--gitea-token] [--gitea-repo] [--bitbucket-token] [--bitbucket-repo] [--use-native-tls] [RANGE]

DESCRIPTION
A highly customizable changelog generator ⛰️

FLAGS

-h, --help
    Prints help information

-V, --version
    Prints version information

-v, --verbose
    Increases the logging verbosity

--bumped-version
    Prints bumped version for unreleased changes

-l, --latest
    Processes the commits starting from the latest tag

--current
    Processes the commits that belong to the current tag

-u, --unreleased
    Processes the commits that do not belong to a tag

--topo-order
    Sorts the tags topologically

--use-branch-tags
    Include only the tags that belong to the current branch

--no-exec
    Disables the external command execution

-x, --context
    Prints changelog context as JSON

--use-native-tls
    Load TLS certificates from the native certificate store

OPTIONS

-i, --init=CONFIG
    Writes the default configuration file to cliff.toml

-c, --config=PATH [default: cliff.toml]
    Sets the configuration file
    May also be specified with the GIT_CLIFF_CONFIG environment variable.

--config-url=URL
    Sets the URL for the configuration file
    May also be specified with the GIT_CLIFF_CONFIG_URL environment variable.

-w, --workdir=PATH
    Sets the working directory
    May also be specified with the GIT_CLIFF_WORKDIR environment variable.

-r, --repository=PATH
    Sets the git repository
    May also be specified with the GIT_CLIFF_REPOSITORY environment variable.

--include-path=PATTERN
    Sets the path to include related commits
    May also be specified with the GIT_CLIFF_INCLUDE_PATH environment variable.

--exclude-path=PATTERN
    Sets the path to exclude related commits
    May also be specified with the GIT_CLIFF_EXCLUDE_PATH environment variable.

--tag-pattern=PATTERN
    Sets the regex for matching git tags
    May also be specified with the GIT_CLIFF_TAG_PATTERN environment variable.

--with-commit=MSG
    Sets custom commit messages to include in the changelog
    May also be specified with the GIT_CLIFF_WITH_COMMIT environment variable.

--with-tag-message=MSG
    Sets custom message for the latest release
    May also be specified with the GIT_CLIFF_WITH_TAG_MESSAGE environment variable.

--ignore-tags=PATTERN
    Sets the tags to ignore in the changelog
    May also be specified with the GIT_CLIFF_IGNORE_TAGS environment variable.

--count-tags=PATTERN
    Sets the tags to count in the changelog
    May also be specified with the GIT_CLIFF_COUNT_TAGS environment variable.

--skip-commit=SHA1
    Sets commits that will be skipped in the changelog
    May also be specified with the GIT_CLIFF_SKIP_COMMIT environment variable.

-p, --prepend=PATH
    Prepends entries to the given changelog file
    May also be specified with the GIT_CLIFF_PREPEND environment variable.

-o, --output=PATH
    Writes output to the given file
    May also be specified with the GIT_CLIFF_OUTPUT environment variable.

-t, --tag=TAG
    Sets the tag for the latest version
    May also be specified with the GIT_CLIFF_TAG environment variable.

--bump=BUMP
    Bumps the version for unreleased changes. Optionally with specified version

-b, --body=TEMPLATE
    Sets the template for the changelog body
    May also be specified with the GIT_CLIFF_TEMPLATE environment variable.

--from-context=PATH
    Generates changelog from a JSON context
    May also be specified with the GIT_CLIFF_CONTEXT environment variable.

-s, --strip=PART
    Strips the given parts from the changelog
    [possible values: header, footer, all]

--sort=SORT [default: oldest]
    Sets sorting of the commits inside sections
    [possible values: oldest, newest]

--github-token=TOKEN
    Sets the GitHub API token
    May also be specified with the GITHUB_TOKEN environment variable.

--github-repo=OWNER/REPO
    Sets the GitHub repository
    May also be specified with the GITHUB_REPO environment variable.

--gitlab-token=TOKEN
    Sets the GitLab API token
    May also be specified with the GITLAB_TOKEN environment variable.

--gitlab-repo=OWNER/REPO
    Sets the GitLab repository
    May also be specified with the GITLAB_REPO environment variable.

--gitea-token=TOKEN
    Sets the Gitea API token
    May also be specified with the GITEA_TOKEN environment variable.

--gitea-repo=OWNER/REPO
    Sets the Gitea repository
    May also be specified with the GITEA_REPO environment variable.

--bitbucket-token=TOKEN
    Sets the Bitbucket API token
    May also be specified with the BITBUCKET_TOKEN environment variable.

--bitbucket-repo=OWNER/REPO
    Sets the Bitbucket repository
    May also be specified with the BITBUCKET_REPO environment variable.

ARGS

[RANGE]
    Sets the commit range to process

VERSION
v2.9.1

AUTHORS
git-cliff contributors <git-cliff@protonmail.com>